Subject: Re: [PATCH] of: i2c: improve last resort compatible entry selection

From: Jochen Friedrich <[email-masked]>
Date: Tue, 15 Jul 2008 16:52:01 +0200

Hi Jean,

> Eeeek. The patch you mention here is only the conversion of ONE driver.
> It is absolutely not relevant as to what the general rule is.

Sorry, i must have misunderstood you then.

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=af294867a52bf718df835a688e8c786d550bee26#patch9
is the same, my original patch listed all four supported chips in there
(saa7126, saa7127, saa7128 and saa7129) while only one made it into the driver...

> Jochen, I am very surprised that you dare drawing conclusions based on
> one random patch of mine. And I am unhappy that you even claim that I
> took some decision when I definitely did not.

Maybe I draw wrong conclusions from the discussion with Jon Smirl then.

> I can't comment on the specific issue at hand as I am not familiar with
> it, but overall Jon appears to be right. Listing individual chips in
> id_table is the standard way to go. That's even the very reason why we
> decided to add this id_table to i2c_driver, instead of matching on the
> driver name as we were doing before.

I definitely agree here.

Thanks,
Jochen